@echo off
rem This is an sample script used by the author to compile classes chapter-by-chapter.

rem echo If your directories are different, change the following variables
set BOOK_HOME=c:\awl
set BOOK_CLASSES=d:\book\classes
set JDK_HOME=c:\jdk1.3\bin

rem set PATH and CLASSPATH
set PATH=%JDK_HOME%;%PATH%

set CLASSPATH=%BOOK_CLASSES%;%BOOK_CLASSES%\imloader.jar;%BOOK_CLASSES%\filebrowser.jar;%BOOK_CLASSES%\planarimloader.jar;%BOOK_CLASSES%\plotterbeans.jar;%CLASSPATH%

cd %BOOK_HOME%\src\util
javac -d %BOOK_CLASSES% *.java

rem Compiling chapter 5 code
echo Compiling chapter 5 code ...


cd %BOOK_HOME%\src\chapter5\simpleshapes
javac -d %BOOK_CLASSES% *.java

cd %BOOK_HOME%\src\chapter5\shapes
javac -d %BOOK_CLASSES% *.java

cd %BOOK_HOME%\src\chapter5\grcanvas
javac -d %BOOK_CLASSES% *.java

rem Compiling chapter 6 code
echo Compiling chapter 6 code ...


cd %BOOK_HOME%\src\chapter6\ImageDisplay
javac -d %BOOK_CLASSES% *.java

cd %BOOK_HOME%\src\chapter6\ImageBrowser2
javac -d %BOOK_CLASSES% *.java

rem Compiling chapter 7 code
echo Compiling chapter 7 code ...


cd %BOOK_HOME%\src\chapter7\manip
javac -d %BOOK_CLASSES% *.java

rem Compiling chapter 8 code
echo Compiling chapter 8 code ...


cd %BOOK_HOME%\src\chapter8\imenhance
javac -d %BOOK_CLASSES% *.java

cd %BOOK_HOME%\src\chapter8\imagedataviewer
javac -d %BOOK_CLASSES% *.java

rem Compiling chapter 9 code
echo Compiling chapter 9 code ...


cd %BOOK_HOME%\src\chapter9\simpleroi
javac -d %BOOK_CLASSES% *.java

cd %BOOK_HOME%\src\jaiutil
javac -d %BOOK_CLASSES% *.java

rem Compiling chapter 10 code
echo Compiling chapter 10 code ...


cd %BOOK_HOME%\src\chapter10\simpleviewer
javac -d %BOOK_CLASSES% *.java

cd %BOOK_HOME%\src\chapter10\loader
javac -d %BOOK_CLASSES% *.java

rem Compiling chapter 11 code
echo Compiling chapter 11 code ...


cd %BOOK_HOME%\src\chapter11\format
javac -d %BOOK_CLASSES% *.java

cd %BOOK_HOME%\src\chapter11\render
javac -d %BOOK_CLASSES% *.java


cd %BOOK_HOME%\src\chapter11\simplerenderable
javac -d %BOOK_CLASSES% *.java

cd %BOOK_HOME%\src\chapter11\renderable
javac -d %BOOK_CLASSES% *.java


cd %BOOK_HOME%\src\chapter11\browser
javac -d %BOOK_CLASSES% *.java

rem Compiling chapter 12 code
echo Compiling chapter 12 code ...


cd %BOOK_HOME%\src\chapter12\manip
javac -d %BOOK_CLASSES% *.java

cd %BOOK_HOME%\src\chapter12\overlay
javac -d %BOOK_CLASSES% *.java

cd %BOOK_HOME%\src\chapter12\warp
javac -d %BOOK_CLASSES% *.java

rem Compiling chapter 13 code
echo Compiling chapter 13 code ...


cd %BOOK_HOME%\src\chapter13\imageprocessor
javac -d %BOOK_CLASSES% *.java

cd %BOOK_HOME%\src\chapter13\operators
javac -d %BOOK_CLASSES% *.java

rem Compiling chapter 14 code
echo Compiling chapter 14 code ...


cd %BOOK_HOME%\src\chapter14\roi
javac -d %BOOK_CLASSES% *.java

cd %BOOK_HOME%


